java.net

## Class PortUnreachableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException
        - - java.net.PortUnreachableException

All Implemented Interfaces:
  Serializable

    public class PortUnreachableException
    extends SocketException

Signals that an ICMP Port Unreachable message has been received on a connected datagram.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PortUnreachableException()` Construct a new `PortUnreachableException` with no detailed message.
`PortUnreachableException(String msg)` Constructs a new `PortUnreachableException` with a detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PortUnreachableException

    public PortUnreachableException(String msg)

Constructs a new `PortUnreachableException` with a detail message.

Parameters:
  `msg` - the detail message

#### PortUnreachableException

    public PortUnreachableException()

Construct a new `PortUnreachableException` with no detailed message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.